Bug Hunting Session
Bug 99244 - OpenGL: Fat lines Miter geometry creation error
Summary: OpenGL: Fat lines Miter geometry creation error
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-04-12 12:46 UTC by Armin Le Grand
Modified: 2016-10-25 19:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Draw file containing the bezier curve that is displayed wrong (11.42 KB, application/vnd.oasis.opendocument.presentation)
2016-04-12 12:46 UTC, Armin Le Grand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Le Grand 2016-04-12 12:46:23 UTC
Created attachment 124281 [details]
Draw file containing the bezier curve that is displayed wrong

Follow-up to bug 99165. Take the bugdoc from there (aslo adding here), load -> extra diagonal geometry is created and painted what is wrong.
The curve has basegfx::B2DLineJoin::Miter set which needs to create a Miter graphic LineJoin (dependent of MiterLimit, see literature). This curve is 'extreme' in having no control point close to the edge point (additionally the other control points are on the prolonged common edge).
In this case, the edge graphic has to be clipped as basegfx::B2DLineJoin::Bevel.
Comment 1 Armin Le Grand 2016-04-12 13:43:05 UTC
Just checked on linux, I get no curve display at all - so might be related only to Windows...
Comment 2 Michael Meeks 2016-04-13 16:25:29 UTC
Looks funky =) Tomaz - any chance you can add this to your queue ? I think you'll want to use a recent master with Armin's changes included ...
Comment 3 Commit Notification 2016-04-14 05:22:32 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea6196f0a51d1bf4cd722468406dcc8c64c7435c

tdf#99244 opengl: miter limit for poly lines

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Meeks 2016-04-14 08:57:53 UTC
Thanks for filing Armin & fixing Tomaz =)
Comment 5 Commit Notification 2016-04-14 08:59:59 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a50eeba86bf746fc0f84948fee1a47819c3e8209&h=libreoffice-5-1

tdf#99244 opengl: miter limit for poly lines

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.